CVE-2001-1374

Current Description

expect before 5.32 searches for its libraries in /var/tmp before other directories, which could allow local users to gain root privileges via a Trojan horse library that is accessed by mkpasswd.

Basic Data

PublishedJuly 19, 2001
Last ModifiedOctober 10, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score7.2
SeverityHIGH
Exploitability Score3.9
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationDon LibesExpect0*******
    2.3ApplicationDon LibesExpect1*******
    2.3ApplicationDon LibesExpect2*******
    2.3ApplicationDon LibesExpect3*******
    2.3ApplicationDon LibesExpect4*******
    2.3ApplicationDon LibesExpect5.0*******
    2.3ApplicationDon LibesExpect5.1*******
    2.3ApplicationDon LibesExpect5.2*******
    2.3ApplicationDon LibesExpect5.3*******
    2.3ApplicationDon LibesExpect5.4*******
    2.3ApplicationDon LibesExpect5.5*******
    2.3ApplicationDon LibesExpect5.6*******
    2.3ApplicationDon LibesExpect5.7*******
    2.3ApplicationDon LibesExpect5.8*******
    2.3ApplicationDon LibesExpect5.9*******
    2.3ApplicationDon LibesExpect5.10*******
    2.3ApplicationDon LibesExpect5.11*******
    2.3ApplicationDon LibesExpect5.12*******
    2.3ApplicationDon LibesExpect5.13*******
    2.3ApplicationDon LibesExpect5.14*******
    2.3ApplicationDon LibesExpect5.15*******
    2.3ApplicationDon LibesExpect5.16*******
    2.3ApplicationDon LibesExpect5.17*******
    2.3ApplicationDon LibesExpect5.18*******
    2.3ApplicationDon LibesExpect5.19*******
    2.3ApplicationDon LibesExpect5.20*******
    2.3ApplicationDon LibesExpect5.21*******
    2.3ApplicationDon LibesExpect5.22*******
    2.3ApplicationDon LibesExpect5.23*******
    2.3ApplicationDon LibesExpect5.24*******
    2.3ApplicationDon LibesExpect5.25*******
    2.3ApplicationDon LibesExpect5.26*******
    2.3ApplicationDon LibesExpect5.27*******
    2.3ApplicationDon LibesExpect5.28*******
    2.3ApplicationDon LibesExpect5.29*******
    2.3ApplicationDon LibesExpect5.30*******
    2.3ApplicationDon LibesExpect5.31*******
    2.3OSConectivaLinux6.0*******
    2.3OSConectivaLinux7.0*******
  • OR - Configuration 2
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSRedhatLinux7.0*******

Vulnerable Software List

VendorProductVersions
Don Libes Expect 0, 1, 2, 3, 4, 5.0, 5.1, 5.10, 5.11, 5.12, 5.13, 5.14, 5.15, 5.16, 5.17, 5.18, 5.19, 5.2, 5.20, 5.21, 5.22, 5.23, 5.24, 5.25, 5.26, 5.27, 5.28, 5.29, 5.3, 5.30, 5.31, 5.4, 5.5, 5.6, 5.7, 5.8, 5.9
Redhat Linux 7.0
Conectiva Linux 6.0, 7.0

References

NameSourceURLTags
CLA-2001:409http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000409CONECTIVA
MDKSA-2002:060http://www.mandrakesoft.com/security/advisories?name=MDKSA-2002:060MANDRAKE
RHSA-2002:148http://www.redhat.com/support/errata/RHSA-2002-148.htmlREDHAT
3074http://www.securityfocus.com/bid/3074BIDPatch Vendor Advisory
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=22187https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=22187CONFIRM
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=28224https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=28224CONFIRM
expect-insecure-library-search(6870)https://exchange.xforce.ibmcloud.com/vulnerabilities/6870XF